﻿using System;
using System.Windows;
using System.Windows.Media;
using System.Windows.Media.Animation;

namespace TestProject
{
    /// <summary>
    /// UI 헬퍼
    /// </summary>
    public class UIHelper
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 플립하기 - Flip(window, source, target)

        /// <summary>
        /// 플립하기
        /// </summary>
        /// <param name="window">윈도우</param>
        /// <param name="source">소스</param>
        /// <param name="target">타겟</param>
        public static void Flip(Window window, UIElement source, UIElement target)
        {
            if(source == null)
            {
                throw new ArgumentOutOfRangeException("source");
            }

            if(target == null)
            {
                throw new ArgumentOutOfRangeException("target");
            }

            Storyboard storyboard = new Storyboard();

            Storyboard.SetTargetProperty(storyboard, new PropertyPath("(UIElement.RenderTransform).(ScaleTransform.ScaleY)"));

            source.RenderTransformOrigin = new Point(0.5, 0.5);
            target.RenderTransformOrigin = new Point(0.5, 0.5);

            source.RenderTransform = new ScaleTransform(1, 1);
            target.RenderTransform = new ScaleTransform(1, 0);

            DoubleAnimation outDoubleAnimation = new DoubleAnimation(1, 0, TimeSpan.FromMilliseconds(200));
            DoubleAnimation inDoubleAnimation  = new DoubleAnimation(0, 1, TimeSpan.FromMilliseconds(200));

            inDoubleAnimation.BeginTime = TimeSpan.FromMilliseconds(200);

            Storyboard.SetTargetName(outDoubleAnimation, (source as FrameworkElement).Name);
            Storyboard.SetTargetName(inDoubleAnimation , (target as FrameworkElement).Name);

            storyboard.Children.Add(outDoubleAnimation);
            storyboard.Children.Add(inDoubleAnimation);

            storyboard.Begin(window);
        }

        #endregion
    }
}